Documentation Index
Fetch the complete documentation index at: https://docs.qoder.com/llms.txt
Use this file to discover all available pages before exploring further.
GET /v1/vaults/{vault_id}
根据 ID 获取单个 Vault 的详细信息。
请求头
| 头部 | 必选 | 说明 |
|---|
Authorization | 是 | Bearer <PAT> |
路径参数
| 参数 | 类型 | 必选 | 说明 |
|---|
vault_id | string | 是 | Vault 的唯一标识符 |
示例请求
curl -X GET "https://openapi.qoder.sh/api/v1/cloud/vaults/vault_019e3bb940277f0db05ab74291acf6ef" \
-H "Authorization: Bearer $QODER_PAT"
示例响应
HTTP 200 OK
{
"id": "vault_019e3bb940277f0db05ab74291acf6ef",
"type": "vault",
"display_name": "my-mcp-vault",
"status": "active",
"metadata": {},
"created_at": "2026-05-18T15:34:16.874877Z",
"updated_at": "2026-05-18T15:34:16.874877Z"
}
响应字段
| 字段 | 类型 | 说明 |
|---|
id | string | Vault 唯一标识符(vault_ 前缀) |
type | string | 资源类型,固定为 "vault" |
display_name | string | 显示名称 |
status | string | 状态:active、archived、deleted |
metadata | object | 自定义元数据 |
archived_at | string | null | 归档时间(仅归档状态有此字段) |
created_at | string | 创建时间(ISO 8601) |
updated_at | string | 最后更新时间(ISO 8601) |
错误码
| HTTP | type | 触发条件 |
|---|
| 401 | authentication_error | 缺少或无效的认证令牌 |
| 404 | not_found_error | Vault 不存在或已删除:Vault '{vault_id}' was not found. |
完整错误信封说明详见 错误参考。